> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers

> List all [customers](/customers/overview).



## OpenAPI

````yaml customer.2024-07-30.product.live GET /customers
openapi: 3.0.0
info:
  title: Customers
  description: Manage customers and contacts
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /customers:
    servers: []
    parameters: []
    get:
      tags:
        - Customers
      summary: List customers
      description: List all [customers](/customers/overview).
      operationId: getCustomers
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: sortBy
          in: query
          description: 'Sort column. Default: creation time.'
          required: false
          schema:
            type: string
        - name: legalName
          in: query
          description: Filter by legal name
          required: false
          schema:
            type: string
        - name: email
          in: query
          description: Filter by email
          required: false
          schema:
            type: string
        - name: alias
          in: query
          description: Filter by alias
          required: false
          schema:
            type: string
        - name: includeArchived
          in: query
          description: Include archived customers
          required: false
          schema:
            type: boolean
        - name: before
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Pagination cursor. To page through items, omit this parameter to
            retrieve the first page, and then successively use the value you get
            from `pagination.after` or `pagination.before` to retrieve each
            page.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of objects to return per-page. Must be between 1 and
            100 (inclusive).
          required: false
          schema:
            type: integer
        - name: sortOrder
          in: query
          description: >-
            Sort order. Default: DESC (descending, most often used for reverse
            chronological sorting).
          required: false
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCustomerResponse'
                example:
                  items:
                    - id: e309e948-088e-4d77-b654-cd85498f1555
                      createdAt: '2021-01-02T10:55:00Z'
                      organizations:
                        - id: c0dc4e79-ec52-4811-8cf5-addb2527915c
                          owner:
                            id: 50af5191-05a3-42a5-802a-6b59091157af
                            name: FinTech Solutions Inc.
                          members:
                            - id: e309e948-088e-4d77-b654-cd85498f1555
                              name: Fintech Payment Processing
                            - id: 50af5191-05a3-42a5-802a-6b59091157af
                              name: Fintech Lending Services
                      legalName: Fintech Payment Processing
                      address:
                        line1: 7500 Bluewater Rd NW
                        town: Albuquerque
                        state: NY
                        postcode: '87121'
                        country: US
                      url: https://example.com/
                      domain: example.com
                      label: Example customer
                      integrationIds:
                        - service: Xero
                          id: 2aaff66f-ef30-4599-b192-c168fd4cd226
                          lastSynced: '2024-03-28T16:47:00Z'
                          isPending: false
                        - service: Stripe
                          id: cus_OCtCxqQDgu1uX9
                          lastSynced: '2024-03-28T16:47:00Z'
                          isPending: false
                      archivedAt: '2011-08-28T01:00:00Z'
                      taxStatus: TAXED
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                ListCustomerResponse:
                  summary: ''
                  value:
                    items:
                      - id: e309e948-088e-4d77-b654-cd85498f1555
                        createdAt: '2021-01-02T10:55:00Z'
                        organizations:
                          - id: c0dc4e79-ec52-4811-8cf5-addb2527915c
                            owner:
                              id: 50af5191-05a3-42a5-802a-6b59091157af
                              name: FinTech Solutions Inc.
                            members:
                              - id: e309e948-088e-4d77-b654-cd85498f1555
                                name: Fintech Payment Processing
                              - id: 50af5191-05a3-42a5-802a-6b59091157af
                                name: Fintech Lending Services
                        legalName: Fintech Payment Processing
                        address:
                          line1: 7500 Bluewater Rd NW
                          town: Albuquerque
                          state: NY
                          postcode: '87121'
                          country: US
                        url: https://example.com/
                        domain: example.com
                        label: Example customer
                        integrationIds:
                          - service: Xero
                            id: 2aaff66f-ef30-4599-b192-c168fd4cd226
                            lastSynced: '2024-03-28T16:47:00Z'
                            isPending: false
                          - service: Stripe
                            id: cus_OCtCxqQDgu1uX9
                            lastSynced: '2024-03-28T16:47:00Z'
                            isPending: false
                        archivedAt: '2011-08-28T01:00:00Z'
                        taxStatus: TAXED
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '403':
          description: Forbidden
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListCustomerResponse:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: e309e948-088e-4d77-b654-cd85498f1555
            createdAt: '2021-01-02T10:55:00Z'
            organizations:
              - id: c0dc4e79-ec52-4811-8cf5-addb2527915c
                owner:
                  id: 50af5191-05a3-42a5-802a-6b59091157af
                  name: FinTech Solutions Inc.
                members:
                  - id: e309e948-088e-4d77-b654-cd85498f1555
                    name: Fintech Payment Processing
                  - id: 50af5191-05a3-42a5-802a-6b59091157af
                    name: Fintech Lending Services
            legalName: Fintech Payment Processing
            address:
              line1: 7500 Bluewater Rd NW
              town: Albuquerque
              state: NY
              postcode: '87121'
              country: US
            url: https://example.com/
            domain: example.com
            label: Example customer
            integrationIds:
              - service: Xero
                id: 2aaff66f-ef30-4599-b192-c168fd4cd226
                lastSynced: '2024-03-28T16:47:00Z'
                isPending: false
              - service: Stripe
                id: cus_OCtCxqQDgu1uX9
                lastSynced: '2024-03-28T16:47:00Z'
                isPending: false
            archivedAt: '2011-08-28T01:00:00Z'
            taxStatus: TAXED
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: Customers
          example:
            - id: e309e948-088e-4d77-b654-cd85498f1555
              createdAt: '2021-01-02T10:55:00Z'
              organizations:
                - id: c0dc4e79-ec52-4811-8cf5-addb2527915c
                  owner:
                    id: 50af5191-05a3-42a5-802a-6b59091157af
                    name: FinTech Solutions Inc.
                  members:
                    - id: e309e948-088e-4d77-b654-cd85498f1555
                      name: Fintech Payment Processing
                    - id: 50af5191-05a3-42a5-802a-6b59091157af
                      name: Fintech Lending Services
              legalName: Fintech Payment Processing
              address:
                line1: 7500 Bluewater Rd NW
                town: Albuquerque
                state: NY
                postcode: '87121'
                country: US
              url: https://example.com/
              domain: example.com
              label: Example customer
              integrationIds:
                - service: Xero
                  id: 2aaff66f-ef30-4599-b192-c168fd4cd226
                  lastSynced: '2024-03-28T16:47:00Z'
                  isPending: false
                - service: Stripe
                  id: cus_OCtCxqQDgu1uX9
                  lastSynced: '2024-03-28T16:47:00Z'
                  isPending: false
              archivedAt: '2011-08-28T01:00:00Z'
              taxStatus: TAXED
          items:
            $ref: '#/components/schemas/ListCustomerResponseModel'
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    ListCustomerResponseModel:
      required:
        - address
        - createdAt
        - id
        - integrationIds
        - legalName
        - organizations
        - taxStatus
      type: object
      example:
        id: e309e948-088e-4d77-b654-cd85498f1555
        createdAt: '2021-01-02T10:55:00Z'
        organizations:
          - id: c0dc4e79-ec52-4811-8cf5-addb2527915c
            owner:
              id: 50af5191-05a3-42a5-802a-6b59091157af
              name: FinTech Solutions Inc.
            members:
              - id: e309e948-088e-4d77-b654-cd85498f1555
                name: Fintech Payment Processing
              - id: 50af5191-05a3-42a5-802a-6b59091157af
                name: Fintech Lending Services
        legalName: Fintech Payment Processing
        address:
          line1: 7500 Bluewater Rd NW
          town: Albuquerque
          state: NY
          postcode: '87121'
          country: US
        url: https://example.com/
        domain: example.com
        label: Example customer
        integrationIds:
          - service: Xero
            id: 2aaff66f-ef30-4599-b192-c168fd4cd226
            lastSynced: '2024-03-28T16:47:00Z'
            isPending: false
          - service: Stripe
            id: cus_OCtCxqQDgu1uX9
            lastSynced: '2024-03-28T16:47:00Z'
            isPending: false
        archivedAt: '2011-08-28T01:00:00Z'
        taxStatus: TAXED
      properties:
        id:
          type: string
          description: Unique ID
          example: e309e948-088e-4d77-b654-cd85498f1555
        createdAt:
          type: string
          description: Time at which the customer was initially created, in ISO 8601 format
          example: '2021-01-02T10:55:00Z'
        organizations:
          type: array
          description: Organizations that this customer is a member of
          example:
            - id: c0dc4e79-ec52-4811-8cf5-addb2527915c
              owner:
                id: 50af5191-05a3-42a5-802a-6b59091157af
                name: FinTech Solutions Inc.
              members:
                - id: e309e948-088e-4d77-b654-cd85498f1555
                  name: Fintech Payment Processing
                - id: 50af5191-05a3-42a5-802a-6b59091157af
                  name: Fintech Lending Services
          items:
            $ref: '#/components/schemas/CustomerOrganization'
        legalName:
          type: string
          description: Legal name
          example: Fintech Payment Processing
        address:
          $ref: '#/components/schemas/Address'
        url:
          type: string
          description: URL
          example: https://example.com/
        domain:
          type: string
          description: Customer's primary domain name
          example: example.com
        label:
          type: string
          description: Label
          example: Example customer
        integrationIds:
          type: array
          description: External services which are linked to this customer
          example:
            - service: Xero
              id: 2aaff66f-ef30-4599-b192-c168fd4cd226
              lastSynced: '2024-03-28T16:47:00Z'
              isPending: false
            - service: Stripe
              id: cus_OCtCxqQDgu1uX9
              lastSynced: '2024-03-28T16:47:00Z'
              isPending: false
          items:
            $ref: '#/components/schemas/IntegrationId'
        archivedAt:
          type: string
          description: Time at which the customer was archived, in ISO 8601 format
          example: '2011-08-28T01:00:00Z'
        taxStatus:
          $ref: '#/components/schemas/TaxStatus'
          description: >-
            Tax status applicable to customer. Can be one of TAXED, TAX_EXEMPT
            or REVERSE_CHARGED. The default is TAXED.
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          example: 10
    CustomerOrganization:
      required:
        - id
        - members
        - owner
      type: object
      example:
        id: c0dc4e79-ec52-4811-8cf5-addb2527915c
        owner:
          id: 50af5191-05a3-42a5-802a-6b59091157af
          name: FinTech Solutions Inc.
        members:
          - id: e309e948-088e-4d77-b654-cd85498f1555
            name: Fintech Payment Processing
          - id: 50af5191-05a3-42a5-802a-6b59091157af
            name: Fintech Lending Services
      properties:
        id:
          type: string
          description: Organization ID
          example: c0dc4e79-ec52-4811-8cf5-addb2527915c
        owner:
          $ref: '#/components/schemas/CustomerIdWithName'
        members:
          type: array
          description: >-
            Members of the customer organization, excluding the owner. These are
            the children in a parent-child relationship.
          example:
            - id: e309e948-088e-4d77-b654-cd85498f1555
              name: Fintech Payment Processing
            - id: 50af5191-05a3-42a5-802a-6b59091157af
              name: Fintech Lending Services
          items:
            $ref: '#/components/schemas/CustomerIdWithName'
    Address:
      required:
        - country
        - line1
        - postcode
        - town
      type: object
      description: Address
      example:
        line1: 7500 Bluewater Rd NW
        town: Albuquerque
        state: NY
        postcode: '87121'
        country: US
      properties:
        line1:
          type: string
          description: Address line 1
          example: 7500 Bluewater Rd NW
        town:
          type: string
          description: Town or city
          example: Albuquerque
        state:
          $ref: '#/components/schemas/State'
          description: State or province (required for USA and Canada)
        postcode:
          type: string
          description: Postal code
          example: '87121'
        country:
          $ref: '#/components/schemas/CountryCode'
          description: >-
            Country code ([ISO 3166-1
            alpha-2](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes))
    IntegrationId:
      required:
        - id
        - isPending
        - service
      type: object
      example:
        service: Xero
        id: 2aaff66f-ef30-4599-b192-c168fd4cd226
        lastSynced: '2024-03-28T16:47:00Z'
        isPending: false
      properties:
        service:
          $ref: '#/components/schemas/IntegrationService'
        id:
          type: string
          example: 2aaff66f-ef30-4599-b192-c168fd4cd226
        lastSynced:
          type: string
          example: '2024-03-28T16:47:00Z'
        isPending:
          type: boolean
          example: false
    TaxStatus:
      type: string
      example: TAXED
      enum:
        - TAXED
        - TAX_EXEMPT
        - REVERSE_CHARGED
    CustomerIdWithName:
      required:
        - id
        - name
      type: object
      description: ID of the customer that will own the organization.
      example:
        id: 50af5191-05a3-42a5-802a-6b59091157af
        name: FinTech Solutions Inc.
      properties:
        id:
          type: string
          description: Customer ID
          example: 50af5191-05a3-42a5-802a-6b59091157af
        name:
          type: string
          description: Customer legal name
          example: FinTech Solutions Inc.
    State:
      type: string
      example: NY
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DC
        - DE
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - AB
        - BC
        - MB
        - NB
        - NL
        - NS
        - NT
        - NU
        - 'ON'
        - PE
        - QC
        - SK
        - YT
    CountryCode:
      type: string
      example: US
      enum:
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - AO
        - AQ
        - AR
        - AS
        - AT
        - AU
        - AW
        - AX
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BL
        - BM
        - BN
        - BO
        - BQ
        - BR
        - BS
        - BT
        - BV
        - BW
        - BY
        - BZ
        - CA
        - CC
        - CD
        - CF
        - CG
        - CH
        - CI
        - CK
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CW
        - CX
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - EH
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FK
        - FM
        - FO
        - FR
        - GA
        - GB
        - GD
        - GE
        - GF
        - GG
        - GH
        - GI
        - GL
        - GM
        - GN
        - GP
        - GQ
        - GR
        - GS
        - GT
        - GU
        - GW
        - GY
        - HK
        - HM
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IM
        - IN
        - IO
        - IQ
        - IR
        - IS
        - IT
        - JE
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MF
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MP
        - MQ
        - MR
        - MS
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NC
        - NE
        - NF
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NU
        - NZ
        - OM
        - PA
        - PE
        - PF
        - PG
        - PH
        - PK
        - PL
        - PM
        - PN
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RE
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SH
        - SI
        - SJ
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SX
        - SY
        - SZ
        - TC
        - TD
        - TF
        - TG
        - TH
        - TJ
        - TK
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - UM
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VG
        - VI
        - VN
        - VU
        - WF
        - WS
        - XK
        - YE
        - YT
        - ZA
        - ZM
        - ZW
    IntegrationService:
      type: string
      example: Xero
      enum:
        - Amazon_Redshift
        - GoCardless
        - Google_BigQuery
        - Google_Sheets
        - HubSpot
        - NetSuite
        - QuickBooks_Online
        - Salesforce
        - Slack
        - Snowflake
        - Stripe
        - Xero
        - Avalara
        - Anrok
        - Attio
        - Numeral
        - Rillet
        - Sphere

````